/*
  test_stepper.ino
  Lo sketch pilota lo stepper collegato ai pin digitali 2 - 5 di Arduino.
  Il motore dovrebbe ruotare di un giro in una direzione, quindi

  Creato il 20/7/2019 da Adriano Gandolfo
  Sito web https://www.adrirobot.it
  Blog https://it.emcelettronica.com/author/adrirobot
  Pagina Facebook https://www.facebook.com/Adrirobot-318949048122955
  Istagram https://www.instagram.com/adrirobot/
  This example code is in the public domain.
*/

#include <Stepper.h>

const int stepsPerRevolution = 2048;

// initialize the stepper library
Stepper myStepper(stepsPerRevolution, 2, 4, 3, 5);

void setup() {
  // set the speed at 60 rpm:
  myStepper.setSpeed(60);
  // initialize the serial port:
  Serial.begin(9600);
}

void loop() {
  // step one revolution  in one direction:
  Serial.println("clockwise");
  myStepper.step(stepsPerRevolution);
  delay(500);

  // step one revolution in the other direction:
  Serial.println("counterclockwise");
  myStepper.step(-stepsPerRevolution);
  delay(500);
}

